Subject: linux-next: manual merge of the block tree with the pci tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 16 Oct 2018 11:33:27 +1100

Hi Jens,

Today's linux-next merge of the block tree got a conflict in:

  include/linux/blkdev.h

between commit:

  113ff970ccda ("block: Add PCI P2P flag for request queue")

from the pci tree and commit:

  cd84a62e0078 ("block, scsi: Change the preempt-only flag into a counter")

from the block tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc include/linux/blkdev.h
index c32f7171899b,61207560e826..000000000000
--- a/include/linux/blkdev.h
+++ b/include/linux/blkdev.h
@@@ -698,8 -704,6 +704,7 @@@ struct request_queue 
  #define QUEUE_FLAG_REGISTERED  26	/* queue has been registered to a disk */
  #define QUEUE_FLAG_SCSI_PASSTHROUGH 27	/* queue supports SCSI commands */
  #define QUEUE_FLAG_QUIESCED    28	/* queue has been quiesced */
- #define QUEUE_FLAG_PREEMPT_ONLY	29	/* only process REQ_PREEMPT requests */
 +#define QUEUE_FLAG_PCI_P2PDMA  30	/* device supports PCI p2p requests */
  
  #define QUEUE_FLAG_DEFAULT	((1 << QUEUE_FLAG_IO_STAT) |		\
  				 (1 << QUEUE_FLAG_SAME_COMP)	|	\